# Validate a tag type POST https://app.unleash-instance.example.com/api/admin/tag-types/validate Content-Type: application/json Validates whether if the body of the request is a valid tag and whether the a tag type with that name already exists or not. If a tag type with the same name exists, this operation will return a 409 status code. Reference: https://docs.getunleash.io/api/validate-tag-type ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Validate a tag type version: endpoint_tags.validateTagType paths: /api/admin/tag-types/validate: post: operationId: validate-tag-type summary: Validate a tag type description: >- Validates whether if the body of the request is a valid tag and whether the a tag type with that name already exists or not. If a tag type with the same name exists, this operation will return a 409 status code. tags: - - subpackage_tags parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: validateTagTypeSchema content: application/json: schema: $ref: '#/components/schemas/validateTagTypeSchema' '400': description: The request data does not match what we expect. content: {} '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '409': description: >- The provided resource can not be created or updated because it would conflict with the current state of the resource or with an already existing resource, respectively. content: {} '415': description: >- The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. content: {} requestBody: description: tagTypeSchema content: application/json: schema: $ref: '#/components/schemas/tagTypeSchema' components: schemas: tagTypeSchema: type: object properties: name: type: string description: The name of the tag type. description: type: string description: The description of the tag type. icon: type: - string - 'null' description: The icon of the tag type. color: type: - string - 'null' description: The hexadecimal color code for the tag type. required: - name validateTagTypeSchema: type: object properties: valid: type: boolean description: Whether or not the tag type is valid. tagType: $ref: '#/components/schemas/tagTypeSchema' required: - valid - tagType ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/tag-types/validate" payload = { "name": "color" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/tag-types/validate'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"name":"color"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/tag-types/validate" payload := strings.NewReader("{\n \"name\": \"color\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/tag-types/validate") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"color\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/tag-types/validate") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"name\": \"color\"\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/tag-types/validate', [ 'body' => '{ "name": "color" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/tag-types/validate"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"color\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["name": "color"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/tag-types/validate")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```